/* This file is part of syscalltrack, a GNU/Linux kernel module and */
/* user space utilities for logging or modifying any system call    */
/* invocation.                                                      */
/*                                                                  */
/* Copyright (C) 2000-2002 Muli Ben-Yehuda, mulix@actcom.co.il	    */
/* License: GNU General Public License                              */

/*
 *$Id: validity_checks.h,v 1.5 2002/06/15 15:16:13 mulix Exp $
 */

#ifndef VALIDITY_CHECKS_H_
#define VALIDITY_CHECKS_H_

#include <string>

using namespace std;

bool is_int(const string& str);
bool is_long(const string& str);
bool is_float(const string& str);
bool is_syscall_identifier(const string& str);
bool is_value(const string& str);

#endif /* VALIDITY_CHECKS_H_ */
 
