/* This file is part of syscalltrack, a GNU/Linux kernel module and */
/* user space utilities for logging or modifying any system call    */
/* invocation.                                                      */
/*                                                                  */
/* Copyright (C) 2000-2002 Muli Ben-Yehuda, mulix@actcom.co.il	    */
/* License: GNU Lesser General Public License                       */

/*
 * $Id: sct_ctrl_lib_private.c,v 1.3 2002/06/15 15:16:13 mulix Exp $
 */

#include <assert.h>

#include "sct_ctrl_lib.h"
#include "sct_ctrl_lib_private.h"

void*
get_user_data(sct_ctrl_t ctrl)
{
    assert(ctrl);

    return (ctrl->user_data);
}
