/*
 * TEST_TITLE: open (match file path pattern)
 * TEST_SYSCALL: open
 * TEST_WHEN: before
 * TEST_RULE_1: PARAMS[1] ~= "testctl_tmp"
 * TEST_RULE_2: 1
 * TEST_EXPECT_PARAMS: testctl_tmp
 * TEST_EXPECT: 1
 * TEST_TIMEOUT: 10
 * TEST_END
 *
 * TEST_TITLE: open (match mode O_RDONLY param)
 * TEST_SYSCALL: open
 * TEST_WHEN: before
 * TEST_RULE_1: (PARAMS[2] & 3) == 0
 * TEST_RULE_2: 1
 * TEST_EXPECT_PARAMS: testctl_tmp
 * TEST_EXPECT: 1
 * TEST_TIMEOUT: 10
 * TEST_END
 *
 */

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

int main()
{
    int i = open("/tmp/testctl_tmp", O_RDONLY);

    return i;
}
